%define spmajor     6
%define libname     %mklibname sidplayfp %{spmajor}
%define develname   %mklibname sidplayfp -d
%define stilmajor   0
%define libnamestil %mklibname stilview %stilmajor

Summary:        A Commodore 64 music player and SID chip emulator library
Name:           libsidplayfp
Version:        2.9.0
Release:        %mkrel 1
License:        GPLv2+
Group:          System/Libraries
URL:            https://github.com/libsidplayfp/libsidplayfp
Source0:        https://github.com/libsidplayfp/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  doxygen
BuildRequires:  xa
BuildRequires:  pkgconfig(libgcrypt)
BuildRequires:  pkgconfig(libftdi1)

Provides:       bundled(md5-deutsch-c++)

%description
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

A ReSID Builder Class using a modified version of ReSID 0.13
is included in this package. Alternative/updated classes can be
obtained from the SIDPlay2 homepage.

This is a fork of the original libsidplay2 aimed at improved sound quality.

%package -n %libname
Summary:        A Commodore 64 music player and SID chip emulator library
Group:          System/Libraries

%description -n %libname
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

%package -n %libnamestil
Summary:        A Commodore 64 STIL music archive viewer library
Group:          System/Libraries

%description -n %libnamestil
This is a library for accessing the Sid Tune Information List, which is part
of the High Voltage Sid Collection, a huge collection of Commodore 64 SID
music files.

%package -n %develname
Summary:        Development headers and libraries for %{libname}
Group:          Development/C++
Requires:       %{libname} = %{version}
Requires:       %{libnamestil} = %{version}
Provides:       libsidplayfp-devel = %{version}-%release

%description -n %develname
This package includes the header and library files necessary
for developing applications to use %{libname}.

%prep
%setup -q

%build
%configure --disable-static --enable-shared
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %libname
%doc AUTHORS NEWS README TODO
%license COPYING
%{_libdir}/libsidplayfp.so.%{spmajor}{,.*}

%files -n %libnamestil
%license COPYING
%{_libdir}/libstilview.so.%{stilmajor}{,.*}

%files -n %develname
%{_includedir}/sidplayfp/
%{_includedir}/stilview/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libsidplay*.pc
%{_libdir}/pkgconfig/libstilview.pc


%changelog
* Wed Aug 14 2024 daviddavid <daviddavid> 2.9.0-1.mga10
+ Revision: 2086584
- new version: 2.9.0

* Tue Jun 11 2024 daviddavid <daviddavid> 2.8.0-1.mga10
+ Revision: 2072680
- new version: 2.8.0 (from https://github.com/libsidplayfp/libsidplayfp)
- now libmajor is 6

* Tue Mar 15 2022 umeabot <umeabot> 2.0.2-2.mga9
+ Revision: 1794011
- Mageia 9 Mass Rebuild

* Fri May 01 2020 daviddavid <daviddavid> 2.0.2-1.mga8
+ Revision: 1577465
- new version: 2.0.2
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 2.0.1-2.mga8
+ Revision: 1531034
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 09 2019 daviddavid <daviddavid> 2.0.1-1.mga8
+ Revision: 1438787
- new version: 2.0.1

* Sun Sep 01 2019 daviddavid <daviddavid> 2.0.0-1.mga8
+ Revision: 1436054
- new version: 2.0.0
- now libmajor is 5

* Sun Sep 23 2018 umeabot <umeabot> 1.8.6-2.mga7
+ Revision: 1299146
- Mageia 7 Mass Rebuild

* Fri Apr 22 2016 gw666 <gw666> 1.8.6-1.mga6
+ Revision: 1004908
- new version 1.8.6

* Mon Mar 07 2016 gw666 <gw666> 1.8.4-1.mga6
+ Revision: 987157
- new version 1.8.4

* Sun Jan 03 2016 gw666 <gw666> 1.8.3-1.mga6
+ Revision: 919063
- new version

* Wed Oct 14 2015 gw666 <gw666> 1.8.2-1.mga6
+ Revision: 891136
- new version

* Mon Aug 24 2015 gw666 <gw666> 1.8.1-1.mga6
+ Revision: 868972
- new version

* Mon Jul 13 2015 gw666 <gw666> 1.8.0-1.mga6
+ Revision: 853496
- new major 4
- new version 1.8.0

* Wed Jul 08 2015 gw666 <gw666> 1.7.2-1.mga6
+ Revision: 852720
- new version 1.7.2
- remove dead home page
- new version
- add build dep on xa, the assembler for C64 code

* Wed Oct 15 2014 umeabot <umeabot> 1.5.2-3.mga5
+ Revision: 749658
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.2-2.mga5
+ Revision: 681782
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 gw666 <gw666> 1.5.2-1.mga5
+ Revision: 671444
- new version

* Fri Aug 29 2014 gw666 <gw666> 1.5.1-1.mga5
+ Revision: 669234
- new version

* Tue Aug 19 2014 gw666 <gw666> 1.5.0-1.mga5
+ Revision: 665487
- new version

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-2.mga4
+ Revision: 523665
- Mageia 4 Mass Rebuild

* Fri May 24 2013 gw666 <gw666> 1.0.2-1.mga4
+ Revision: 425921
- new version

* Mon Apr 22 2013 gw666 <gw666> 1.0.1-1.mga4
+ Revision: 410881
- new version
- remove old libraries and add stilview library
- new major
- imported package libsidplayfp

